Package org.eclipse.ecf.filetransfer.events.socket

# Interface ISocketCreatedEvent

All Superinterfaces:
  `Event`, `ISocketEvent`

All Known Implementing Classes:
  `SocketCreatedEvent`

public interface ISocketCreatedEvent extends ISocketEvent
Event which makes a socket available after it has been created but before it is connected.

EXPERIMENTAL. This class or interface has been added as part of a work in progress. There is no guarantee that this API will work or that it will remain the same. Please do not use this API without consulting with the ECF team.

Since:
  3.0

## Method Summary

### Methods inherited from interface org.eclipse.ecf.filetransfer.events.socket.ISocketEvent

`getFactorySocket, getSocket, getSource, isSameFactorySocket`